Name:		nagios-check_nfs4
Version:	0.2
Release:	%mkrel 13
Summary:	NFSv4 monitoring for clients and servers
License:	GPL
Group:		Networking/Other
URL:		http://www.nagiosexchange.org/cgi-bin/page.cgi?g=2070.html;d=1
Source:     check_nfs4.%{version}.pl
Requires:	nagios-plugins
BuildArch:  noarch

%description
This plugin checks NFSv4 daemons status (client and server) including nfsd,
idmapd, mountd and svcgssd.
It also displays information about performances and errors. 

%prep
%setup -q -c -T

%build

%install
install -d %{buildroot}%{_datadir}/nagios/plugins
install -m 755 %{SOURCE0} %{buildroot}%{_datadir}/nagios/plugins/check_nfs4.pl

perl -pi -e 's|/usr/local/nagios/libexec|%{_datadir}/nagios|' \
    %{buildroot}%{_datadir}/nagios/plugins/check_nfs4.pl

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_nfs4.cfg <<'EOF'
define command {
	command_name    check_nfs4
	command_line    %{_datadir}/nagios/plugins/check_nfs4.pl
}
EOF

%files
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_nfs4.cfg
%{_datadir}/nagios/plugins/check_nfs4.pl




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.2-13.mga10
+ Revision: 2197618
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.2-12.mga9
+ Revision: 1801968
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2-11.mga8
+ Revision: 1492159
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2-10.mga7
+ Revision: 1264641
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.2-9.mga6
+ Revision: 931732
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2-8.mga5
+ Revision: 747997
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2-7.mga5
+ Revision: 682776
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2-6.mga4
+ Revision: 508096
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2-5.mga3
+ Revision: 360724
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 0.2-4.mga1
+ Revision: 62957
- imported package nagios-check_nfs4


* Sat Dec 11 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2-4mdv2011.0
+ Revision: 620462
- the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.2-3mdv2010.0
+ Revision: 440225
- rebuild

* Sun Dec 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-2mdv2009.1
+ Revision: 317111
- fix configuration
- import nagios-check_nfs4


